XpGetPageDimensions(3Xp)

NAME
XpGetPageDimensions - Gets the page dimensions for the current printer settings.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

Status XpGetPageDimensions ( display, print_context, width, height, reproducible_area )
      Display *display;
      XPContext print_context;
      unsigned short *width;
      unsigned short *height;
      XRectangle *reproducible_area;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

print_context
    A pre-existing print context.

width
    Returns the pixel width of the page currently selected in the print context.

height
    Returns the pixel height of the page currently selected in the print context.

reproducible_area
    Returns the net reproducible area of the page currently selected in the print context, expressed in pixel offsets and dimensions.

DESCRIPTION

XpGetPageDimensions considers the medium currently selected in the print context (derived in part from default-medium, default-input-tray, input-trays-medium, content-orientation, default-resolution), and returns the total width and height of the page in pixels, and the net reproducible area within the total width and height. The net reproducible area is the portion of the page on which the printer is physically capable of placing ink. XpGetPageDimensions returns a Status of 0 on failure, or 1 on success.

DIAGNOSTICS

XPBadContext
    A valid print context-id has not been set prior to making this call.